Unfortunately due to other commitments, we are no longer able to provide support for these themes.

All our themes are now free and can be downloaded by anyone to use/modify however they wish.

We want to thank all our users for their support over the years. All the best in 2020 and beyond.

Site Pages Other Than Home Page and Blog Page Cut Off and Missing Content

james_mccormackjames_mccormack Lifetime Member
Hi:

On my websites https://www.endingforeclosures.com and https://www.newdawnpropertysolutions.com the only pages rendering correctly are the Home Page and Blog Page. Something must have happened with a recent update. Please help.

Thanks,
Jim
Thanks,
Jim

Comments

  • Options
    Mark_HodderMark_Hodder Administrator, Lifetime Member
    Have you run the Thesis Fix CSS boxes in the alert box at the top of the forums here to see if that helps?
    Need Additional Help?
    - Check out the Resource Center for helpful tutorials and hints.


    image
  • Options
    james_mccormackjames_mccormack Lifetime Member
    Yes, I just did that and afterwards got a notice that the Thesis CSS Box needed to be updated so I did that and re-ran the Fix CSS function and it did not fix the pages. I even tried another Skin, but the problem remains so it is either a WordPress setting issue or a Thesis issue.
    Thanks,
    Jim
  • Options
    james_mccormackjames_mccormack Lifetime Member
    I figured out the problem. By changing the PHP back to 5.6 instead of 7.XX, the pages are all now working. However, this is not a long term fix as I am going to have to update to PHP 7.XX eventually. Any ideas on how I can correct this PHP issue so I can update?
    Thanks,
    Jim
  • Options
    Mark_HodderMark_Hodder Administrator, Lifetime Member
    Our skins work with PHP 7 so it's likely a plugin issue, you would have to change PHP back to 7 disable all your plugins and see if the site works. If it does enable them one by one and recheck until it breaks to find the culprit.

    Backup before attempting any of this ;)
    Need Additional Help?
    - Check out the Resource Center for helpful tutorials and hints.


    image
  • Options
    james_mccormackjames_mccormack Lifetime Member
    The PHP checker from SiteGround shows PHP errors with Thesis so it could be that.
    Thanks,
    Jim
  • Options
    Mark_HodderMark_Hodder Administrator, Lifetime Member
    Yeah I wouldn't take to much from that automated checker from SiteGround - I've gotten warnings all the time from it that didn't actually matter when switching to PHP 7 ;)
    Need Additional Help?
    - Check out the Resource Center for helpful tutorials and hints.


    image
  • Options
    james_mccormackjames_mccormack Lifetime Member
    I contacted Thesis Support at DIY Themes and Chris Pearson logged into my sites and found the following issues:

    "Based on these results, Themedy Toolbox, Themedy Visual Designer, and Thesis Import/Export are the culprits behind your problems with PHP 7.

    Themedy will have to issue updates of each of these Plugins, as they all have the same critical fault—they use PHP 4-style constructors that are incompatible with PHP 7."

    I deleted the Thesis Import/Export Plugin, but the 2 Themedy Plugins shown above are just deactivated for now.

    Also, on a StudioPress Genesis site that I have the Quik Child Theme is giving the following PHP errors:

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-tabbed.php
    ---------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ---------------------------------------------------------------------------------------------------------------
    51 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ---------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad120x240.php
    ------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ------------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad120x60.php
    -----------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    -----------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    -----------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad300x250.php
    ------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ------------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad620x100.php
    ------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ------------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad125.php
    --------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    --------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    --------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-video.php
    --------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    --------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    --------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-flickr.php
    ---------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ---------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ---------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad468x60.php
    -----------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    -----------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    -----------------------------------------------------------------------------------------------------------------

    public_html/expertrealestategroup.com/wp-content/themes/quik/lib/widgets/widget-ad300x600.php
    ------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------------------------
    29 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ------------------------------------------------------------------------------------------------------------------
    Thanks,
    Jim
  • Options
    Mark_HodderMark_Hodder Administrator, Lifetime Member
    edited November 2017
    These are just warnings not errors that prevent you from upgrading to PHP 7 - I use all our plugins on PHP 7 sites as do many others here so I know they work fine.

    However, Themedy Visual Designer is long dead (https://help.themedy.com/General/Themedy_Visual_Designer_Migration) and replaced by Themedy Toolbox so you shouldn't have both of those running at the same time. Themedy Visual Designer could be the actual source of the issue as it's never been tested for PHP 7 and won't receive anymore updates.

    Again the real way to test this to find the exact cause is from my message above:

    Our skins work with PHP 7 so it's likely a plugin issue, you would have to change PHP back to 7 disable all your plugins and see if the site works. If it does enable them one by one and recheck until it breaks to find the culprit.
    Quik / Genesis & PHP 7+ works fine as that is what we are running here: https://demo.themedy.com/quik/ - so you shouldn't have any issues there.
    Post edited by Mark_Hodder on
    Need Additional Help?
    - Check out the Resource Center for helpful tutorials and hints.


    image
  • Options
    james_mccormackjames_mccormack Lifetime Member
    The issue was not the errors that the SiteGround Optimizer produced. The issue is that when I updated to PHP 7.XX all the pages on my websites were cut off except the Home Page and the Blog Page.

    I disabled all the Themedy Plugins and now the pages work. I deleted Themedy Visual Designer and reactivated Themedy Toolbox and the site works with PHP. 7.0. Therefore, it appears that Themedy Visual Designer was the problem.

    Is Themedy Widgets a redundant plugin now that Themdy Toolbox is re-activated?
    Thanks,
    Jim
  • Options
    Mark_HodderMark_Hodder Administrator, Lifetime Member
    Ok great.

    Themedy Widgets is separate from Toolbox and of course only necessary if you are using any of the Themedy widgets it adds, otherwise you can safely delete it. Same goes for Toolbox though, if you aren't actually using any of it's features like the Themedy Shortcodes it's not required to run for any of our themes.
    Need Additional Help?
    - Check out the Resource Center for helpful tutorials and hints.


    image
This discussion has been closed.